%global __requires_exclude	typelib\\(AppIndicator3\\)

%define	distname	fusion-icon

Name:		compiz-fusion-icon
Version:	0.2.4
Release:	%mkrel 10
Summary:	Simple tray icon for compiz
Group:		System/X11
License:	GPLv2+
URL:		https://github.com/compiz-reloaded/fusion-icon
Source0:	https://github.com/compiz-reloaded/%{distname}/releases/download/v%{version}/%{distname}-%{version}.tar.xz
# Upstream patches
Patch0001:	0001-Gtk-Avoid-GtkStock-for-the-Quit-button.patch
Patch0002:	0002-Fix-typeerror-in-python3.6.patch
Patch0005:	0005-Add-support-for-Ayatana-AppIndicators.patch
Patch0006:	0006-Qt-Add-Qt-for-Python-PySide-support.patch
Patch0008:	0008-Account-for-KWin-X11-from-KDE-Plasma-5.patch
# Mageia patches
Patch0101:	fusion-icon-0.2.4-mga-add_mageia_gl_paths.patch
Patch0102:	fusion-icon-0.2.2-mga-ignore_desktop_hints.patch

BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:	compizconfig-python
Requires:	python3-gobject3
Requires:	glxinfo
Requires:	xvinfo
Requires:	compiz >= 0.9
Requires:	ccsm

Provides:	fusion-icon = %{version}-%{release}

%description
Compiz-fusion-icon is a simple tray icon for compiz, it allows you
to graphically choose decorator, window manager and access control center.

If you use a Qt5 based desktop then you should also install
%{name}-qt package.

%package qt
Summary:	Simple tray icon for compiz
Group:		System/X11
Requires:	%{name} = %{version}-%{release}
Requires:	python3-qt5

%description qt
Compiz-fusion-icon is a simple tray icon for compiz, it allows you
to graphically choose decorator, window manager and access control center.

This package provides Qt gui to the application.
If you don't use Qt5 based desktop then %{name} should suffice.

%prep
%autosetup -n %{distname}-%{version} -p1

# Fix libdir in data.py
sed -i "s|MULTILIBDIR|%{_libdir}|g" FusionIcon/data.py

%build
%py3_build -- --with-gtk=3.0 --with-qt=5.0

%install
%py3_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{distname}.desktop

%files
%doc NEWS VERSION
%license COPYING
%{_bindir}/%{distname}
%{_datadir}/applications/%{distname}.desktop
%{_datadir}/metainfo/%{distname}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{distname}.png
%{_datadir}/icons/hicolor/scalable/apps/%{distname}.svg

%dir %{python3_sitelib}/FusionIcon/
%{python3_sitelib}/FusionIcon/interface_gtk/
%{python3_sitelib}/FusionIcon/*pycache*
%{python3_sitelib}/FusionIcon/*.py
%{python3_sitelib}/fusion_icon-%{version}-py%{python3_version}.egg-info

%files qt
%{python3_sitelib}/FusionIcon/interface_qt/


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.2.4-10.mga9
+ Revision: 1828639
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 0.2.4-9.mga9
+ Revision: 1787557
- rebuild for python-3.10

* Sat May 01 2021 wally <wally> 0.2.4-8.mga9
+ Revision: 1720810
- rebuild for python 3.9

* Wed Aug 05 2020 wally <wally> 0.2.4-7.mga8
+ Revision: 1611345
- switch to Ayatana AppIndicator

* Sun Feb 16 2020 umeabot <umeabot> 0.2.4-6.mga8
+ Revision: 1533269
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 daviddavid <daviddavid> 0.2.4-5.mga8
+ Revision: 1444037
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 0.2.4-4.mga7
+ Revision: 1350611
- rebuild for python3.7

* Sun Dec 09 2018 wally <wally> 0.2.4-3.mga7
+ Revision: 1339350
- switch to python3
- add patches from upstream

* Thu Sep 20 2018 umeabot <umeabot> 0.2.4-2.mga7
+ Revision: 1277812
- Mageia 7 Mass Rebuild

* Mon Jan 08 2018 tarakbumba <tarakbumba> 0.2.4-1.mga7
+ Revision: 1191778
- Updated to 0.2.4 version

* Fri Feb 10 2017 tarakbumba <tarakbumba> 0.2.2-3.mga6
+ Revision: 1085667
- Architecture independent again

* Mon Feb 06 2017 tarakbumba <tarakbumba> 0.2.2-2.mga6
+ Revision: 1085052
- Fix dependency installation by making arch spesific
- Split package for Qt interface

* Mon Feb 06 2017 tarakbumba <tarakbumba> 0.2.2-1.mga6
+ Revision: 1084889
- Updated to 0.2.2 version

* Sat Feb 20 2016 umeabot <umeabot> 0.1-15.mga6
+ Revision: 971717
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 daviddavid <daviddavid> 0.1-14.mga6
+ Revision: 892391
- remove empty lang files to fix build with latest rpm
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 0.1-13.mga5
+ Revision: 746024
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-12.mga5
+ Revision: 726059
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-11.mga5
+ Revision: 678511
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1-10.mga5
+ Revision: 628141
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1-9.mga4
+ Revision: 542486
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.1-8.mga4
+ Revision: 497679
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 0.1-7.mga3
+ Revision: 348108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 julien <julien> 0.1-6.mga2
+ Revision: 172915
- rename fusion-icon to compiz-fusion-icon to be more discoverable
- rename to compiz-fusion-icon

* Sat Nov 19 2011 julien <julien> 0.1-5.mga2
+ Revision: 169386
- add patch from fedora to adapt to compiz 0.9.x
- add a require on compiz >= 0.9

* Sun Oct 09 2011 julien <julien> 0.1-4.mga2
+ Revision: 153489
- add a Requires on compiz since fusion-icon doesn't work without

* Sun Oct 02 2011 julien <julien> 0.1-3.mga2
+ Revision: 150997
- bump release to stay greater than mga1

* Wed Sep 28 2011 julien <julien> 0.1-2.mga2
+ Revision: 150081
- no need to complexify with two package (cf python policy)

* Sat Jun 11 2011 julien <julien> 0.1-1.mga2
+ Revision: 103470
- add up to date LICENSE file
- split in two package to follow python modules guidelines
- rename patch0
- rename patch0
- cleanup spec file
  	- imported package fusion-icon
- imported package fusion-icon

